commit:     f825780d71b5783c4f7a3845fa0fb61c68ed0194
Author:     Stefan Strogin <stefan.strogin <AT> gmail <DOT> com>
AuthorDate: Thu Mar 21 04:22:05 2019 +0000
Commit:     Davide Pesavento <pesa <AT> gentoo <DOT> org>
CommitDate: Wed Apr  3 01:00:04 2019 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=f825780d

dev-python/PyQtWebEngine: new package

PyQtWebEngine is a set of Python bindings for Qt WebEngine framework.
Before PyQt5-5.12 these bindings were a part of PyQt5. Now it is a
separate package.

Packages that depended on dev-python/PyQt5[webengine] now must depend on
dev-python/PyQtWebEngine.

Closes: https://bugs.gentoo.org/679202
Closes: https://github.com/gentoo/gentoo/pull/11432
Package-Manager: Portage-2.3.62, Repoman-2.3.12
Signed-off-by: Stefan Strogin <stefan.strogin <AT> gmail.com>
Signed-off-by: Davide Pesavento <pesa <AT> gentoo.org>

 dev-python/PyQtWebEngine/Manifest                  |  1 +
 .../PyQtWebEngine/PyQtWebEngine-5.12.1.ebuild      | 73 ++++++++++++++++++++++
 dev-python/PyQtWebEngine/metadata.xml              | 32 ++++++++++
 3 files changed, 106 insertions(+)

diff --git a/dev-python/PyQtWebEngine/Manifest 
b/dev-python/PyQtWebEngine/Manifest
new file mode 100644
index 00000000000..f8fee855550
--- /dev/null
+++ b/dev-python/PyQtWebEngine/Manifest
@@ -0,0 +1 @@
+DIST PyQtWebEngine_gpl-5.12.1.tar.gz 42474 BLAKE2B 
6cb333d8e429ae6b9f8c20a7486754767639693351605e85c0226ab3f1f065a549d40d69669d91f501fdf2c30346304a547e36b416d275a8bfe4ea621c0633b7
 SHA512 
2bcb0e4da51de9cfb5128e03c03ada77f2d4b99b0885da910584717681b96759ce4301c325cbbf43602d46746e2d37d81ed62f77dd63b33359fd5fae74d7f010

diff --git a/dev-python/PyQtWebEngine/PyQtWebEngine-5.12.1.ebuild 
b/dev-python/PyQtWebEngine/PyQtWebEngine-5.12.1.ebuild
new file mode 100644
index 00000000000..3ce48a7c942
--- /dev/null
+++ b/dev-python/PyQtWebEngine/PyQtWebEngine-5.12.1.ebuild
@@ -0,0 +1,73 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python2_7 python3_{5,6,7} )
+inherit python-r1 qmake-utils
+
+DESCRIPTION="Python bindings for QtWebEngine"
+HOMEPAGE="https://www.riverbankcomputing.com/software/pyqtwebengine/intro";
+
+MY_PN=PyQtWebEngine
+MY_P=${MY_PN}_gpl-${PV/_pre/.dev}
+if [[ ${PV} == *_pre* ]]; then
+       SRC_URI="https://dev.gentoo.org/~pesa/distfiles/${MY_P}.tar.gz";
+else
+       
SRC_URI="https://www.riverbankcomputing.com/static/Downloads/${MY_PN}/${PV}/${MY_P}.tar.gz";
+fi
+
+LICENSE="GPL-3"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~x86"
+IUSE="debug"
+
+REQUIRED_USE="${PYTHON_REQUIRED_USE}"
+
+RDEPEND="
+       ${PYTHON_DEPS}
+       
>=dev-python/PyQt5-5.12[gui,network,printsupport,webchannel,widgets,${PYTHON_USEDEP}]
+       >=dev-python/PyQt5-sip-4.19.14:=[${PYTHON_USEDEP}]
+       dev-qt/qtcore:5
+       dev-qt/qtwebengine:5[widgets]
+"
+DEPEND="${RDEPEND}
+       >=dev-python/sip-4.19.14[${PYTHON_USEDEP}]
+"
+
+S=${WORKDIR}/${MY_P}
+
+src_configure() {
+       configuration() {
+               local myconf=(
+                       "${PYTHON}"
+                       "${S}"/configure.py
+                       --qmake="$(qt5_get_bindir)"/qmake
+                       $(usex debug '--debug --trace' '')
+                       --verbose
+               )
+               echo "${myconf[@]}"
+               "${myconf[@]}" || die
+
+               # Fix parallel install failure
+               sed -i -e '/INSTALLS += distinfo/i distinfo.depends = 
install_subtargets' ${MY_PN}.pro || die
+
+               # Run eqmake to respect toolchain and build flags
+               eqmake5 -recursive ${MY_PN}.pro
+       }
+       python_foreach_impl run_in_build_dir configuration
+}
+
+src_compile() {
+       python_foreach_impl run_in_build_dir default
+}
+
+src_install() {
+       installation() {
+               emake INSTALL_ROOT="${D}" install
+               python_optimize
+       }
+       python_foreach_impl run_in_build_dir installation
+
+       einstalldocs
+}

diff --git a/dev-python/PyQtWebEngine/metadata.xml 
b/dev-python/PyQtWebEngine/metadata.xml
new file mode 100644
index 00000000000..c63098a37ce
--- /dev/null
+++ b/dev-python/PyQtWebEngine/metadata.xml
@@ -0,0 +1,32 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd";>
+<pkgmetadata>
+       <maintainer type="project">
+               <email>q...@gentoo.org</email>
+               <name>Gentoo Qt Project</name>
+       </maintainer>
+       <maintainer type="person">
+               <email>stefan.stro...@gmail.com</email>
+               <name>Stefan Strogin</name>
+       </maintainer>
+       <maintainer type="project">
+               <email>proxy-ma...@gentoo.org</email>
+               <name>Proxy Maintainers</name>
+       </maintainer>
+       <longdescription lang="en">
+               PyQtWebEngine is a set of Python bindings for The Qt Company's
+               Qt WebEngine libraries. The bindings sit on top of PyQt5 and
+               are implemented as a set of three modules. Prior to v5.12 these
+               bindings were part of PyQt5 itself.
+       </longdescription>
+       <upstream>
+               <maintainer status="active">
+                       <email>p...@riverbankcomputing.com</email>
+                       <name>Phil Thompson</name>
+               </maintainer>
+               
<changelog>https://www.riverbankcomputing.com/static/Downloads/PyQtWebEngine/ChangeLog</changelog>
+               <doc>https://www.riverbankcomputing.com/static/Docs/PyQt5/</doc>
+               <bugs-to>mailto:p...@riverbankcomputing.com</bugs-to>
+               <remote-id type="pypi">PyQtWebEngine</remote-id>
+       </upstream>
+</pkgmetadata>

Reply via email to